import React from 'react'

const LocationDetails = ({ 
  city, 
  setCity, 
  locality, 
  setLocality, 
  subLocality, 
  setSubLocality, 
  address, 
  setAddress 
}) => {
  return (
    <div className='container mx-auto px-4 sm:px-6 lg:px-8 max-w-4xl'>
      <div className='flex flex-col gap-6'>
        <div className='text-center'>
          <h1 className='font-semibold text-2xl sm:text-3xl md:text-4xl mb-2'>
            Where is your Project Located?
          </h1>
          <p className='text-sm sm:text-base text-gray-600'>
            Providing an accurate location helps you connect with the right buyers.
          </p>
        </div>
        <div className='space-y-4'>
          <div className='flex flex-col gap-2'>
            <label htmlFor="city" className='text-sm font-medium text-gray-700'>
              City
            </label>
            <input
              type="text"
              id="city"
              placeholder="Enter City"
              value={city}
              onChange={(e) => setCity(e.target.value)}
              className='w-full px-3 py-2 border border-gray-300 rounded-md
               focus:outline-none focus:ring-2 focus:ring-brand
               text-sm sm:text-base'
            />
          </div>
          <div className='flex flex-col gap-2'>
            <label htmlFor="locality" className='text-sm font-medium text-gray-700'>
              Locality
            </label>
            <input
              type="text"
              id="locality"
              placeholder="Enter Locality"
              value={locality}
              onChange={(e) => setLocality(e.target.value)}
              className='w-full px-3 py-2 border border-gray-300 rounded-md
               focus:outline-none focus:ring-2 focus:ring-brand
               text-sm sm:text-base'
            />
          </div>
          <div className='flex flex-col gap-2'>
            <label htmlFor="sub-locality" className='text-sm font-medium text-gray-700'>
              Sub Locality (Optional)
            </label>
            <input
              type="text"
              id="sub-locality"
              placeholder="Enter Sub Locality"
              value={subLocality}
              onChange={(e) => setSubLocality(e.target.value)}
              className='w-full px-3 py-2 border border-gray-300 rounded-md
               focus:outline-none focus:ring-2 focus:ring-brand
               text-sm sm:text-base'
            />
          </div>
          <div className='flex flex-col gap-2'>
            <label htmlFor="address" className='text-sm font-medium text-gray-700'>
              Address in Details
            </label>
            <textarea
              id="address"
              placeholder="Enter Address"
              value={address}
              onChange={(e) => setAddress(e.target.value)}
              rows={4}
              className='w-full px-3 py-2 border border-gray-300 rounded-md
               focus:outline-none focus:ring-2 focus:ring-brand
               text-sm sm:text-base
               resize-y'
            />
          </div>
        </div>
      </div>
    </div>
  )
}

export default LocationDetails